XBMC 13.2 Gotham – Release Candidate 1

Posted By: Martijn on Aug 08, 2014 in Site News
xbmc-gotham-13.2-rc-splash

After three beta releases, we are happy to announce our 13.2 Release Candidate. This follows a couple of months after the 13.1 release, and is considered a small bug fix release. Unfortunately we cannot fix all things reported. Below you will find a list of most important fixes included in this release.

Do note that this release only contains fixes and no new features. So it should be safe to install on top of any of the current 13.X releases. In due time we will of course release a 13.2 stable version after we are confident there are no regressions compared to 13.1 stable. Please read the important notice at the bottom as well. Should you find any problems, you can find how to report these at the bottom of this announcement.

Fixes

Fixes done in 13.2

  • * Fix audio problems with pass-through on OSX
  • * Crash in Android if an app is favourite, then uninstalled from system.
  • * Fix crash in Android when entering programs menu in some skins
  • * Bitstream conversion fix for some BD mkv iso rips
  • * Fix labelcontrols with autowidth set were always marked as dirty (re-render)
  • * Update included PVR add-on
  • * Set “remote as keyboard” default to true for Android
  • * Fix FTP TLS not working
  • * Fix some disappearing characters on Mac OSX
  • * Fix onplaybackstarted event for external players
  • * Don’t show OSD menu DVD menu with mouse/touch
  • * GetText and delete sound option for add-on developers
  • * Fix wrong sample-rate selection on OSX
  • * Fix optical usb devices with > 2 channels on OSX
  • * Fix firewall popups in OSX on start-up
  • * Make the fake full-screen option only visible when running OSX snowleopard
  • * Fix overlapping subtitles
  • * Fix accented letters. Example: “VARIéS” rather than “VARIÉS”
  • * Prompt for master pin in case the add-on manager is locked
  • * Update GUI translations
  • * Update included add-ons
  • * Fixed several bugs and memory leaks

 

Important notice

Linux users Ubuntu 12.10 and 13.10 have been deprecated by canonical/ubuntu. This means there will be no more XBMC builds available for those version. You will have to upgrade you Ubuntu to a newer version to receive XBMC updates again.

Backup your data Before upgrading we would recommend you create a backup of your current userdata folder which contains all your current settings and database files. In the unlikely case that something went wrong during your upgrade, a backup will ensure that you are still able to go back to the previous state. Where the userdata folder is located on your system can be found on our userdata wiki page. Do note that when first upgrading from Frodo 12.x it may take some time until you see the familiar homescreen as several internal upgrades need to be performed.

Add-ons As mentioned in previous blog posts, due to changes related to our add-on system and skin improvement, certain plugins, scripts and skins may become incompatible when upgrading from Frodo to Gotham. Sadly this is part of the continuing process of development and improvement. We hope the impact of these changes will be limited but we feel a warning would be beneficial. If there are any addons you particularly depend on, we advise that you visit the forum thread of that addon to see if the author has ensured support in XBMC 13.

Installing on OSX As XBMC is an unsigned application on OSX, you may need to go through a slightly different process to start it the first time. After you have copied XBMC to the Applications folder, you will need to “right click” or “two finger click” XBMC from within the Applications folder and select “Open” and then accept the warning. You should only need to do this the first time you run XBMC.

Code base Since we have branched the XBMC core code for Gotham off from our main development master branch on Github it is important that you also build from the correct Github branch: http://github.com/xbmc/xbmc/tree/Gotham

Conclusion

Should want to download and install this Release Candidate, please visit our download page

 

The Last XBMC Shirt Ever

xbmclastshirtBecause of your generosity in t-shirt sales, straight-up donations, and word-of-mouth evangelizing, this project has lasted for 12 years and through four different names, and with your help, we all believe it can last twice that long again. So we figured we’d offer a t-shirt to commemorate the name change.

There’s only one thing. The image at the top of this article is not the final logo. We are working with doghousemedia to truly realize an awesome logo, and we aren’t quite there yet.

So instead of offering a bit of swag with the new name, we figured we’d offer the exact opposite. This is it. The last XBMC shirt or related piece of merchandise we’re ever going to sell.

 

How to Contribute

If you use these builds, we encourage you to submit bugs in Trac with sufficient information (following this guide: How to submit a bug report), provide support in our Forums where you can, or donate to the Foundation if you like. For a current FAQ on XBMC 13, visit our Gotham FAQ.

Share on reddit
Share on StumbleUpon


Discussion - 22 Comments

  • Mischke Aug 08, 2014 

    Will this version run under OSX Mavericks? Previous versions made it crash.
    Keep up the good work!

    • Kib Aug 08, 2014 

      Mavericks support was first fixed in version 12.3 on the 24th december of 2013.
      It has worked in 13.0 and 13.1, and will in this version too.

  • hacky4real Aug 08, 2014 

    It Seems Windows is left out in this update

    • Kib Aug 08, 2014 

      What do you mean ?

    • Martijn Aug 09, 2014 

      The OSX devs had more time to spend on fixing some of the OSX bugs for the 14.0 Helix release. And luckily those could be backported to 13.2. Windows devs are quite busy atm for platform specific fixes.

  • Didrik Aug 08, 2014 

    * Fix audio problems with pass-through on OSX

    Wooooohoooo! All Samsung and LG owners bow to you good sir’s!

  • Micke Aug 09, 2014 

    So I have to upgrade if I run Ubuntu 12.04 or is only 12.10 and 13.10 that’s affected?

    • Martijn Aug 09, 2014 

      12.04 is LTS so should still be okay for now i think. Though be prepared to update in the future

      • Micke Aug 09, 2014 

        Cool. The thing is that I’ve tried to update but there’s always something that doesn’t work. Worst case scenario is that I’ll be “stuck” the last version available to me and that’s not that bad. If it aint broke and so on.

  • daedalux Aug 09, 2014 

    Thank you. This is an awesome software release. Running 13.2-rc1 perfectly on linux debian compiled from git sources. This is really solid, no problems afaict.

  • Jason Pellj Aug 09, 2014 

    no trusty build on unstable. Ubuntu ppa yet. When will that be available

    • Martijn Aug 09, 2014 

      soon :)

    • Martijn Aug 09, 2014 

      There’s also no difference between beta3 and rc1. So you can just install that one. Only thing changed is the version info.

  • Stefan Aug 09, 2014 

    Thank you for RC1 -went fast- :) -And works perfect on Win8.1 64b & N.geforce grafic …My TV PC :) …Was a long time since I had any problem….usually only small buggs and nothin major….So another fine release…Good Work.

  • Shannon Aug 09, 2014 

    Cannot use Parental Control addon in Gotham. Will there be a fix for this in a future update?

    • Martijn Aug 09, 2014 

      You should ask the developer of the add-on itself on the forum. We do not maintain these.

      • Shannon Aug 09, 2014 

        Thank you.

  • freebs Aug 11, 2014 

    Could someone post the RC release to the PPA ?

  • silvester Aug 12, 2014 

    bez

  • Pablo G. Chiodo Aug 19, 2014 

    I’m seting up a media center, based on ubuntu 14.04 with gnome 3.0 + gnome classic, just today i just installed the xbmc gotham 13.2, and i am unable to make the addons to showup for installation, I download some of them like skin , weather, opensubtitles.org and all of them returned the same error when i tried to install them : “dependencies not met”……………, i tried several things, erasing the addons dbase, but nothing seems to work…..
    Ubuntu 14.04 64 bts

    • Famf Sep 22, 2014 

      I’m having the same problem with Lubuntu. I installed frodo through the software center and uninstalled it when I realized it was an older version. I then added the official repositories and installed the latest (13.2) and get this error.

  • Len Sep 15, 2014 

    Using windows XP, is there any other way to update to 13.2? I continuously get a message saying you need vista or above.

    Thx

About Kodi

Kodi is a free and open source media player application developed by the XBMC Foundation, a non-profit technology consortium. Kodi is available for multiple operating-systems and hardware platforms, featuring a 10-foot user interface for use with televisions and remote controls. It allows users to play and view most videos, music, podcasts, and other digital media files from local and network storage media and the internet.